﻿/*
LowerTickrate is licensed under a
Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
You should have received a copy of the license along with this
work. If not, see <http://creativecommons.org/licenses/by-nc-sa/4.0/>.
*/

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Reflection;
using Buddy.Coroutines;
using Clio.Common;
using Clio.Utilities;
using ff14bot;
using ff14bot.AClasses;
using ff14bot.Behavior;
using ff14bot.Enums;
using ff14bot.Helpers;
using ff14bot.Managers;
using ff14bot.Navigation;
using ff14bot.Objects;
using ff14bot.Overlay3D;
using ff14bot.Pathing;
using ff14bot.Pathing.Avoidance;
using TreeSharp;

namespace LowerTickrate
{

    public class LowerTickrate : BotPlugin
    {

        public override string Author => "Mastahg";
        public override Version Version => new Version(1,0,0);
        public override string Name => "LowerTickrate";
        public override bool WantButton => false;
        
        public override void OnInitialize()
        {
				//If you install this plugin, then ill assume you want it on incase you install it into multiple different copies of rb
                var plugin = PluginManager.Plugins.FirstOrDefault(r => string.Compare(r.Plugin.Name,Name,StringComparison.InvariantCultureIgnoreCase) == 0);
                if (plugin == null)
                {
					return;
                }

                if (!plugin.Enabled)
                {
                    Logging.WriteDiagnostic($"Enabling plugin {Name}");
                    plugin.Enabled = true;
                }
        }
        public override void OnEnabled()
        {
            Logging.WriteDiagnostic("LowerTickrate has been Enabled");
			TreeRoot.TicksPerSecond = 10;

        }
        public override void OnDisabled()
        {
            Logging.WriteDiagnostic("LowerTickrate has been Disabled");

        }

        public override void OnPulse()
        {

        }

    }
}
